import { HierarchicalBitset } from "./BitSet";
export declare function iterate(a: HierarchicalBitset, callback: (value: object) => void): void;
export declare function createIterator(a: HierarchicalBitset): BitSetIterator;
export declare class BitSetIterator {
    set: HierarchicalBitset;
    masks: [number, number, number, number];
    prefix: [number, number, number];
    done: boolean;
    constructor(set: HierarchicalBitset, masks: [number, number, number, number], prefix: [number, number, number]);
    next(): {
        value: any;
        done: boolean;
    };
}
