"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BITS = 5;
exports.SHIFT0 = 0;
exports.SHIFT1 = exports.SHIFT0 + exports.BITS;
exports.SHIFT2 = exports.SHIFT1 + exports.BITS;
exports.SHIFT3 = exports.SHIFT2 + exports.BITS;
exports.calculateOffset = function (index, shift) {
    return Math.floor(index / (1 << shift));
};
exports.calculateRow = function (index, shift) {
    return (index >>> shift) & ((1 << exports.BITS) - 1);
};
exports.calculateMask = function (index, shift) {
    return 1 << exports.calculateRow(index, shift);
};
exports.nextPowerOfTwo = function (index) {
    return Math.pow(2, Math.ceil(Math.log(index) / Math.log(2)));
};
exports.copyArrays = function (source, target) {
    if (source) {
        for (var i = 0; i < source.length; i += 1) {
            target[i] = source[i];
        }
    }
    return target;
};
//# sourceMappingURL=Utils.js.map