export var BITS = 5;
export var SHIFT0 = 0;
export var SHIFT1 = SHIFT0 + BITS;
export var SHIFT2 = SHIFT1 + BITS;
export var SHIFT3 = SHIFT2 + BITS;
export var calculateOffset = function (index, shift) {
    return Math.floor(index / (1 << shift));
};
export var calculateRow = function (index, shift) {
    return (index >>> shift) & ((1 << BITS) - 1);
};
export var calculateMask = function (index, shift) {
    return 1 << calculateRow(index, shift);
};
export var nextPowerOfTwo = function (index) {
    return Math.pow(2, Math.ceil(Math.log(index) / Math.log(2)));
};
export var copyArrays = function (source, target) {
    if (source) {
        for (var i = 0; i < source.length; i += 1) {
            target[i] = source[i];
        }
    }
    return target;
};
//# sourceMappingURL=Utils.js.map